void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);

	switch(Dialog.CurrentNode)
	{
		case "1":
			dialog.text = "Kapitanie. Moi ludzie donieśli mi, że zamierzasz mnie wyzwać na pojedynek?";
			link.l1 = "W rzeczy samej. Rzekłem im, żeś nie jest wart tej pozycji i trzeba cię zastąpić. A skoro taki tu panuje obyczaj, wyzywam cię do walki na smierć i życie.";
			link.l1.go = "2";
		break;

		case "2":
			dialog.text = "Kolejny głupiec. Jesteś już trzecim samobójcą w tym miesiącu, wiesz? Cóż, zdobędę kolejną klingę do mojej kolekcji.";
			link.l1 = "Za bardzo ufasz swym siłom, jak to mówią. Do dzieła.";
			link.l1.go = "Exit";

			NextDiag.TempNode = "3";
		break;

		case "3":
			dialog.text = "Nadal chcesz walczyć? Jeszcze nikt nie przetrwał minuty w pojedynku ze mną.";
			link.l1 = "Dostosuję się do tej tradycji - będziesz martwy zanim upłynie minuta.";
			link.l1.go = "Exit";

			NextDiag.TempNode = "4";
		break;

		case "4":
			dialog.text = "ARRRGHHHH...TTTYYYYY... choleeerny... bękaaarcieeee...";
			link.l1 = "Cholerny? Skąd. Będkarcie?  Kto wie. Żywy? Zwycięski? To na pewno.";
			link.l1.go = "Exit";
		break;

		case "Exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;
	}
}
